<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="eda9db90-d04d-4afb-a1ec-e53aa18de513" name="Default Changelist" comment="Exemplos da aula 1" />
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula12/Aluno.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="60">
              <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula14/Conta.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="660">
              <caret line="34" column="34" selection-start-line="34" selection-start-column="34" selection-end-line="34" selection-end-column="34" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula18/Funcionario.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="120">
              <caret line="35" column="31" selection-start-line="35" selection-start-column="31" selection-end-line="35" selection-end-column="31" />
              <folding>
                <element signature="e#427#428#0" expanded="true" />
                <element signature="e#455#456#0" expanded="true" />
                <element signature="e#494#495#0" expanded="true" />
                <element signature="e#528#529#0" expanded="true" />
                <element signature="e#562#563#0" expanded="true" />
                <element signature="e#592#593#0" expanded="true" />
                <element signature="e#638#639#0" expanded="true" />
                <element signature="e#676#677#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula18/Assalariado.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="120">
              <caret line="4" column="4" selection-start-line="4" selection-start-column="4" selection-end-line="4" selection-end-column="4" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula18/Comissionado.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="210">
              <caret line="7" column="36" selection-start-line="7" selection-start-column="36" selection-end-line="7" selection-end-column="36" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula18/TesteFuncionario.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="180">
              <caret line="8" column="39" selection-start-line="8" selection-start-column="29" selection-end-line="8" selection-end-column="39" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula14/TesteConta.java">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula14/Mes.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="90">
              <caret line="3" column="35" selection-start-line="3" selection-start-column="35" selection-end-line="3" selection-end-column="35" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula12/Pessoa.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="300">
              <caret line="10" selection-start-line="10" selection-end-line="10" />
              <folding>
                <element signature="e#662#663#0" expanded="true" />
                <element signature="e#695#696#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Enum" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula11/Pessoa.java" />
        <option value="$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula12/Aluno.java" />
        <option value="$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula14/Mes.java" />
        <option value="$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula14/TesteConta.java" />
        <option value="$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula14/Conta.java" />
        <option value="$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula18/Assalariado.java" />
        <option value="$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula18/Comissionado.java" />
        <option value="$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula18/TesteFuncionario.java" />
        <option value="$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula18/Funcionario.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="10" />
    <option name="y" value="48" />
    <option name="width" value="1346" />
    <option name="height" value="666" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="object-oriented-programming-uern" type="b2602c69:ProjectViewProjectNode" />
              <item name="pt_BR" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="object-oriented-programming-uern" type="b2602c69:ProjectViewProjectNode" />
              <item name="pt_BR" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="object-oriented-programming-uern" type="b2602c69:ProjectViewProjectNode" />
              <item name="pt_BR" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="unidade1" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="object-oriented-programming-uern" type="b2602c69:ProjectViewProjectNode" />
              <item name="pt_BR" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="unidade1" type="462c0819:PsiDirectoryNode" />
              <item name="aula18" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="android.sdk.path" value="$USER_HOME$/Android/Sdk" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1555508004448" />
    <property name="extract.method.default.visibility" value="private" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula11" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.TesteFuncionario">
    <configuration name="TesteConta" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="br.uern.di.poo.unidade1.aula14.TesteConta" />
      <module name="pt_BR" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="br.uern.di.poo.unidade1.aula14.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TesteFuncionario" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="br.uern.di.poo.unidade1.aula18.TesteFuncionario" />
      <module name="pt_BR" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="br.uern.di.poo.unidade1.aula18.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.TesteFuncionario" />
        <item itemvalue="Application.TesteConta" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="eda9db90-d04d-4afb-a1ec-e53aa18de513" name="Default Changelist" comment="" />
      <created>1553220732583</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1553220732583</updated>
      <workItem from="1553220740663" duration="973000" />
      <workItem from="1553250139368" duration="793000" />
      <workItem from="1553688531563" duration="2253000" />
      <workItem from="1553855212313" duration="3046000" />
      <workItem from="1553858407468" duration="911000" />
      <workItem from="1555504283879" duration="2048000" />
      <workItem from="1556057939745" duration="298000" />
    </task>
    <task id="LOCAL-00001" summary="Exemplos da aula 12-13 com UML">
      <created>1553855334132</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1553855334132</updated>
    </task>
    <task id="LOCAL-00002" summary="Exemplos da aula 14">
      <created>1553858239988</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1553858239988</updated>
    </task>
    <task id="LOCAL-00003" summary="Exemplos da aula 18">
      <created>1556058106227</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1556058106228</updated>
    </task>
    <option name="localTasksCounter" value="4" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="10322000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="28" width="1366" height="706" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.21699545" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="UI Designer" order="5" />
      <window_info id="Learn" order="6" />
      <window_info id="Favorites" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.09026549" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Database Changes" order="9" />
      <window_info anchor="bottom" id="Terminal" order="10" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info active="true" anchor="bottom" id="Messages" order="12" visible="true" weight="0.21061946" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Theme Preview" order="4" />
      <window_info anchor="right" id="Maven" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Database" order="8" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Exemplos da aula 12-13 com UML" />
    <MESSAGE value="Exemplos da aula 14" />
    <MESSAGE value="Exemplos da aula 18" />
    <option name="LAST_COMMIT_MESSAGE" value="Exemplos da aula 18" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula12/Teste.uml" />
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula12/pessoa.uml">
      <provider selected="true" editor-type-id="UmlEditorProvider">
        <state>
          <ID>JAVA</ID>
          <OriginalElement />
          <nodes>
            <node x="0.0" y="0.0">br.uern.di.poo.unidade1.aula11.Aluno</node>
          </nodes>
          <notes />
          <edges />
          <settings layout="Hierarchic Group" zoom="1.0" x="-106.0" y="133.0" />
          <SelectedNodes>
            <node>br.uern.di.poo.unidade1.aula11.Aluno</node>
          </SelectedNodes>
          <Categories>
            <Category>Fields</Category>
            <Category>Constructors</Category>
            <Category>Methods</Category>
          </Categories>
          <SCOPE>All</SCOPE>
          <VISIBILITY>private</VISIBILITY>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula10/Aluno.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="14" selection-start-line="14" selection-end-line="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula10/JanelaMedia.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="15" column="13" selection-start-line="15" selection-start-column="13" selection-end-line="15" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="uml://JAVA/br.uern.di.poo.unidade1.aula18">
      <provider selected="true" editor-type-id="UmlEditorProvider">
        <state>
          <ID>JAVA</ID>
          <OriginalElement>br.uern.di.poo.unidade1.aula18</OriginalElement>
          <nodes>
            <node x="0.0" y="0.0">br.uern.di.poo.unidade1.aula18.Funcionario</node>
          </nodes>
          <notes />
          <edges />
          <settings layout="Hierarchic Group" zoom="1.0" x="240.0" y="240.0" />
          <SelectedNodes>
            <node>br.uern.di.poo.unidade1.aula18.Funcionario</node>
          </SelectedNodes>
          <Categories />
          <SCOPE>All</SCOPE>
          <VISIBILITY>private</VISIBILITY>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula12/Aluno.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula14/Conta.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="660">
          <caret line="34" column="34" selection-start-line="34" selection-start-column="34" selection-end-line="34" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula18/Comissionado.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="7" column="36" selection-start-line="7" selection-start-column="36" selection-end-line="7" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula14/TesteConta.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula14/Mes.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="3" column="35" selection-start-line="3" selection-start-column="35" selection-end-line="3" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula12/Pessoa.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="10" selection-start-line="10" selection-end-line="10" />
          <folding>
            <element signature="e#662#663#0" expanded="true" />
            <element signature="e#695#696#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula18/TesteFuncionario.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="8" column="39" selection-start-line="8" selection-start-column="29" selection-end-line="8" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula18/Assalariado.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="4" column="4" selection-start-line="4" selection-start-column="4" selection-end-line="4" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source_code/pt_BR/src/br/uern/di/poo/unidade1/aula18/Funcionario.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="35" column="31" selection-start-line="35" selection-start-column="31" selection-end-line="35" selection-end-column="31" />
          <folding>
            <element signature="e#427#428#0" expanded="true" />
            <element signature="e#455#456#0" expanded="true" />
            <element signature="e#494#495#0" expanded="true" />
            <element signature="e#528#529#0" expanded="true" />
            <element signature="e#562#563#0" expanded="true" />
            <element signature="e#592#593#0" expanded="true" />
            <element signature="e#638#639#0" expanded="true" />
            <element signature="e#676#677#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>11</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>